Article ID: 113494, created on Mar 21, 2012, last review on May 11, 2014

  • Applies to:
  • Plesk 10.x for Linux


After upgrading to v. 10.x, the Atmail web interface does not work and resolves with the following error:

Warning: fopen() [function.fopen]: open_basedir restriction in effect. File(/etc/psa-webmail/atmail/.atmail.shadow) is not within the allowed path(s): (/var/www/atmail/:/var/log/atmail/:/etc/psa:/tmp/:/var/tmp/) in /var/www/atmail/libs/Atmail/Config.php on line 4

Warning: fopen(/etc/psa-webmail/atmail/.atmail.shadow) [function.fopen]: failed to open stream: Operation not permitted in /var/www/atmail/libs/Atmail/Config.php on line 4


Change the open_basedir directive inside /usr/local/psa/admin/conf/templates/default/atmail.php, adding the changed Atmail directory (/etc/psa-webmail/atmail/):

php_admin_value open_basedir "<?php echo "$atmailDocroot/:/var/log/atmail/:/etc/psa:/tmp/:/var/tmp/:/etc/psa-webmail/atmail/" ?>"

dd0611b6086474193d9bf78e2b293040 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF